org.eclipse.modisco.kdm.source.extension.ui.actions

## Class ActionBrowseCodeInTextEditor

- java.lang.Object
- - org.eclipse.modisco.kdm.source.extension.ui.actions.ActionBrowseCodeInTextEditor

    public class ActionBrowseCodeInTextEditor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ActionBrowseCodeInTextEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(IAction action)` Action called from the menu button "Browse to code source" on any `EObject` in the workbench
`void` `selectionChanged(IAction action, ISelection selection)` This method looks for an ASTNodeSourceRegion if the selected object is an EObject If result is null, then the "Browse To Code Action" is disabled

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActionBrowseCodeInTextEditor

    public ActionBrowseCodeInTextEditor()

### Method Detail

#### run

    public void run(IAction action)

Action called from the menu button "Browse to code source" on any `EObject` in the workbench

#### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

This method looks for an ASTNodeSourceRegion if the selected object is an EObject If result is null, then the "Browse To Code Action" is disabled